#include "DrawingContext.h"

#include "INativeDrawingContext.h"
#include "AbstractGeometricItem.h"

#include "MeshBuilder.h"

#include "TriMesh.h"

std::unique_ptr<DrawingContext> DrawingContext::Create()
{
    return std::make_unique<DrawingContext>();
}

void DrawingContext::setNativeContext(std::unique_ptr<INativeDrawingContext> context)
{
    mNativeDrawingContext = std::move(context);
}

INativeDrawingContext* DrawingContext::getNativeContext()
{
    return mNativeDrawingContext.get();
}

void DrawingContext::addDrawable(AbstractGeometricItemPtr item)
{
    mItems.push_back(std::move(item));
}

unsigned DrawingContext::getNumItems() const
{
    return mItems.size();
}

AbstractGeometricItem* DrawingContext::getDrawable(unsigned idx) const
{
    return mItems[idx].get();
}

void DrawingContext::updateMesh()
{

}
